## opencollada 0.1.0~20140703.ddf8f47%2Bdfsg1

=== Externals/MathMLSolver/CMakeLists.txt ===
set(name MathMLSolver)
project(${name})

set(libMathMLSolver_include_dirs
	${CMAKE_CURRENT_SOURCE_DIR}/include
	${CMAKE_CURRENT_SOURCE_DIR}/include/AST
)

set(libMathMLSolver_include_dirs ${libMathMLSolver_include_dirs} PARENT_SCOPE)  # adding include dirs to a parent scope

set(SRC
	src/MathMLEvaluatorVisitor.cpp
	src/MathMLSolverPrecompiled.cpp
	src/MathMLSymbolTable.cpp
	src/AST/MathMLASTStringVisitor.cpp
	src/AST/MathMLASTUnaryArithmeticExpression.cpp
	src/AST/MathMLASTBinaryComparisionExpression.cpp
	src/AST/MathMLASTLogicExpression.cpp
	src/AST/MathMLASTFragmentExpression.cpp
	src/AST/MathMLASTFunctionExpression.cpp
	src/AST/MathMLASTVariableExpression.cpp
	src/AST/MathMLASTConstantExpression.cpp
	src/AST/MathMLASTArithmeticExpression.cpp
	src/MathMLSolverFunctionExtensions.cpp
	src/MathMLSerializationVisitor.cpp
	src/MathMLSerializationUtil.cpp
	src/MathMLString.cpp

	include/AST/MathMLASTArithmeticExpression.h
	include/AST/MathMLASTBinaryComparisionExpression.h
	include/AST/MathMLASTConstantExpression.h
	include/AST/MathMLASTFragmentExpression.h
	include/AST/MathMLASTFunctionExpression.h
	include/AST/MathMLASTLogicExpression.h
	include/AST/MathMLASTNode.h
	include/AST/MathMLASTStringVisitor.h
	include/AST/MathMLASTUnaryArithmeticExpression.h
	include/AST/MathMLASTVariableExpression.h
	include/AST/MathMLASTVisitor.h
	include/MathMLError.h
	include/MathMLEvaluatorVisitor.h
	include/MathMLParser.h
	include/MathMLParserConstants.h
	include/MathMLPlatform.h
	include/MathMLSerializationUtil.h
	include/MathMLSerializationVisitor.h
	include/MathMLSingleton.h
	include/MathMLSolverFunctionExtensions.h
	include/MathMLSolverPrerequisites.h
	include/MathMLSolverStableHeaders.h
	include/MathMLStreamParser.h
	include/MathMLStreamParserHandler.h
	include/MathMLString.h
	include/MathMLSymbolTable.h
)

set(TARGET_LIBS)

include_directories(
	${libMathMLSolver_include_dirs}
)

opencollada_add_lib(${name} "${SRC}" "${TARGET_LIBS}")

## opencollada 0.1.0~20140703.ddf8f47+dfsg1

=== debian/changelog ===
opencollada (0.1.0~20140703.ddf8f47+dfsg1-2) unstable; urgency=medium

  * rebuild with gcc 5

 -- Rene Engelhard <rene@debian.org>  Sun, 02 Aug 2015 12:25:21 +0200

opencollada (0.1.0~20140703.ddf8f47+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #694932)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 14 May 2015 17:23:27 +0200

=== debian/control ===
Source: opencollada
Section: libs
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>, Rene Engelhard <rene@debian.org>
Build-Depends:
 autotools-dev,
 cmake,
 debhelper (>= 9),
 libpcre3-dev,
 libxml2-dev
Standards-Version: 3.9.6
Homepage: http://www.opencollada.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/opencollada.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/opencollada.git

Package: opencollada-dev
Section: libdevel
Architecture: any
Depends:
 libpcre3-dev,
 libxml2-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Stream based reader and writer library for COLLADA files (development files)
 OpenCOLLADA is a project dedicated to join efforts using COLLADA within
 various DCC tools like 3ds Max, Maya, Blender and a fast SDK for reading
 and writing COLLADA files.
 .
 This package contains the static library and headers used to build programs
 that use OpenCOLLADA.

Package: opencollada-tools
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Command line tool for validating COLLADA files
 OpenCOLLADA is a project dedicated to join efforts using COLLADA within
 various DCC tools like 3ds Max, Maya, Blender and a fast SDK for reading
 and writing COLLADA files.
 .
 This package contains an OpenCOLLADA based validator for COLLADA files.

=== debian/rules ===
#!/usr/bin/make -f
export REPACK_SH=$(CURDIR)/debian/repack.sh

BLDDIR = debian/cmake

%:
	dh $@ -Scmake -B$(BLDDIR) --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_SKIP_RPATH=ON

## opencollada 0.1.0~20160714.0ec5063%2Bdfsg1

=== debian/changelog ===
opencollada (0.1.0~20160714.0ec5063+dfsg1-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - narrowing_conversion.diff added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 05 Aug 2016 16:52:07 +0200

opencollada (0.1.0~20160714.0ec5063+dfsg1-1) unstable; urgency=medium

  * New upstream snapshot release
    - debian/patches/: patchset updated
      - mips-build-workaround.diff dropped (applied upstream)
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 04 Aug 2016 16:08:24 +0200

opencollada (0.1.0~20140703.ddf8f47+dfsg1-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - mips-build-workaround.diff added (Closes: #794276)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 10 Mar 2016 20:51:04 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  debhelper (>= 9),
  libpcre3-dev,
  libxml2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.opencollada.org/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/opencollada.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/opencollada.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/opencollada.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/opencollada.git
 
 Package: opencollada-dev
 Section: libdevel

## opencollada 0.1.0~20160714.0ec5063+dfsg1

=== CMakeLists.txt ===
EXECUTE_PROCESS( COMMAND uname -m COMMAND tr -d '\n' OUTPUT_VARIABLE ARCHITECTURE )
message( STATUS "Architecture: ${ARCHITECTURE}" )

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
	if(NOT DEFINED WITH_IN_SOURCE_BUILD)
		message(FATAL_ERROR
			"CMake generation for OpenCollada is not allowed within the source directory!"
			"\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
			"\n "
			"\n rm CMakeCache.txt"
			"\n cd .."
			"\n mkdir cmake-make"
			"\n cd cmake-make"
			"\n cmake ../opencollada"
			"\n "
			"\n Alternately define WITH_IN_SOURCE_BUILD to force this option (not recommended!)"
		)
	endif()
endif()

cmake_minimum_required(VERSION 2.6)


#-----------------------------------------------------------------------------
# Set policy.

# see "cmake --help-policy CMP0003"
# So library linking is more sane
cmake_policy(SET CMP0003 NEW)

# So defines are automatically quoted
cmake_policy(SET CMP0005 NEW)

# So syntax problems are errors
cmake_policy(SET CMP0010 NEW)

# Input directories must have CMakeLists.txt
cmake_policy(SET CMP0014 NEW)

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

set(CMAKE_CONFIGURATION_TYPES "Debug;Release" CACHE STRING "Only do Release and Debug" FORCE )
mark_as_advanced(CMAKE_CONFIGURATION_TYPES)

SET(CMAKE_DEBUG_POSTFIX ""  CACHE STRING "Add this string to as suffix to Debug libraries, e.g.: xml2_d.lib " )

#-----------------------------------------------------------------------------
# Macro's

macro(opencollada_add_lib
	name
	sources
	target_libs
	)

	link_directories(${LIBRARY_OUTPUT_PATH})

	if (USE_STATIC)
		add_library(${name}_static STATIC ${sources})
		set_target_properties(${name}_static PROPERTIES OUTPUT_NAME ${name})
		foreach(target_lib ${target_libs})
			if(TARGET ${target_lib}_static)
				target_link_libraries(${name}_static ${target_lib}_static)
			else()
				target_link_libraries(${name}_static ${target_lib})
			endif()
			if( ${ARCHITECTURE} MATCHES "mips" )
				if(TARGET OpenCOLLADASaxFrameworkLoader_static)
					SET_TARGET_PROPERTIES(OpenCOLLADASaxFrameworkLoader_static PROPERTIES COMPILE_FLAGS "-Umips")
				endif()
			endif()
		endforeach()
		set(CMAKE_REQUIRED_LIBRARIES "${name}_static;${CMAKE_REQUIRED_LIBRARIES}" PARENT_SCOPE)

		install(
			TARGETS ${name}_static EXPORT LibraryExport
			ARCHIVE DESTINATION ${OPENCOLLADA_INST_LIBRARY}
		)
	endif ()

	if (USE_SHARED)
		if (NOT UNIX)
			message(${name} " WARNING: Shared library support implemented for UNIX-like OS only")
		endif ()
		add_library(${name}_shared SHARED ${sources})
		set_target_properties(${name}_shared PROPERTIES OUTPUT_NAME ${name})
		foreach(target_lib ${target_libs})
			if(TARGET ${target_lib}_shared)
				target_link_libraries(${name}_shared ${target_lib}_shared)
			else()
				target_link_libraries(${name}_shared ${target_lib})
			endif()
			if( ${ARCHITECTURE} MATCHES "mips" )
				if(TARGET OpenCOLLADASaxFrameworkLoader_shared)
					SET_TARGET_PROPERTIES(OpenCOLLADASaxFrameworkLoader_shared PROPERTIES COMPILE_FLAGS "-Umips")
				endif()
			endif()
		endforeach()
		set(CMAKE_REQUIRED_LIBRARIES "${name}_shared;${CMAKE_REQUIRED_LIBRARIES}"  PARENT_SCOPE)

		install(
			TARGETS ${name}_shared EXPORT LibraryExport
			LIBRARY DESTINATION ${OPENCOLLADA_INST_LIBRARY}
		)
	endif ()
endmacro()


# ---------------------
# copied from blender's
# build_files/cmake/macros.cmake

macro(ADD_CHECK_C_COMPILER_FLAG
	_CFLAGS
	_CACHE_VAR
	_FLAG)

	include(CheckCCompilerFlag)

	CHECK_C_COMPILER_FLAG("${_FLAG}" "${_CACHE_VAR}")
	if(${_CACHE_VAR})
		# message(STATUS "Using CFLAG: ${_FLAG}")
		set(${_CFLAGS} "${${_CFLAGS}} ${_FLAG}")
	else()
		message(STATUS "Unsupported CFLAG: ${_FLAG}")
	endif()
endmacro()

macro(ADD_CHECK_CXX_COMPILER_FLAG
	_CXXFLAGS
	_CACHE_VAR
	_FLAG)

	include(CheckCXXCompilerFlag)

	CHECK_CXX_COMPILER_FLAG("${_FLAG}" "${_CACHE_VAR}")
	if(${_CACHE_VAR})
		# message(STATUS "Using CXXFLAG: ${_FLAG}")
		set(${_CXXFLAGS} "${${_CXXFLAGS}} ${_FLAG}")
	else()
		message(STATUS "Unsupported CXXFLAG: ${_FLAG}")
	endif()
endmacro()
# end copy
# --------

#-----------------------------------------------------------------------------
# Initialize project.

project(OPENCOLLADA)  # must be after setting cmake_configuration_types

set(EXTERNAL_LIBRARIES        	   ${OPENCOLLADA_SOURCE_DIR}/Externals)  # external libraries
set(CMAKE_MODULE_PATH "${EXTERNAL_LIBRARIES}/cmake-modules")

set(OPENCOLLADA_VERSION_MAJOR 0)
set(OPENCOLLADA_VERSION_MINOR 1)
set(OPENCOLLADA_VERSION_PATCH 0)
set(OPENCOLLADA_VERSION ${OPENCOLLADA_VERSION_MAJOR}.${OPENCOLLADA_VERSION_MINOR}.${OPENCOLLADA_VERSION_PATCH})


#-----------------------------------------------------------------------------
# Compiler warnings.

set(C_WARNINGS   "")
set(CXX_WARNINGS "")

if (CMAKE_COMPILER_IS_GNUCC)
	ADD_CHECK_C_COMPILER_FLAG(C_WARNINGS C_WARN_ALL -Wall)
	ADD_CHECK_C_COMPILER_FLAG(C_WARNINGS C_WARN_EXTRA -Wextra)
	ADD_CHECK_C_COMPILER_FLAG(C_WARNINGS C_WARN_NO_UNKNOWN_PRAGMAS -Wno-unknown-pragmas)
	ADD_CHECK_C_COMPILER_FLAG(C_WARNINGS C_WARN_NO_SWITCH -Wno-switch)
	ADD_CHECK_C_COMPILER_FLAG(C_WARNINGS C_WARN_NO_UNUSED_PARAMETER -Wno-unused-parameter)
	ADD_CHECK_C_COMPILER_FLAG(C_WARNINGS C_WARN_NO_IGNORED_QUALIFIERS -Wno-ignored-qualifiers)
endif ()
if (CMAKE_COMPILER_IS_GNUCXX)
	ADD_CHECK_CXX_COMPILER_FLAG(CXX_WARNINGS CXX_WARN_ALL -Wall)
	ADD_CHECK_CXX_COMPILER_FLAG(CXX_WARNINGS CXX_WARN_EXTRA -Wextra)
	ADD_CHECK_CXX_COMPILER_FLAG(CXX_WARNINGS CXX_WARN_NO_UNKNOWN_PRAGMAS -Wno-unknown-pragmas)
	ADD_CHECK_CXX_COMPILER_FLAG(CXX_WARNINGS CXX_WARN_NO_SWITCH -Wno-switch)
	ADD_CHECK_CXX_COMPILER_FLAG(CXX_WARNINGS CXX_WARN_NO_REORDER -Wno-reorder)  # could be re-ordered but for now this is just noise.
	ADD_CHECK_CXX_COMPILER_FLAG(CXX_WARNINGS CXX_WARN_NO_UNUSED_PARAMETER -Wno-unused-parameter)
	ADD_CHECK_CXX_COMPILER_FLAG(CXX_WARNINGS CXX_WARN_NO_IGNORED_QUALIFIERS -Wno-ignored-qualifiers)
endif ()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${C_WARNINGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX_WARNINGS}")


#-----------------------------------------------------------------------------
# Install vars

set(OPENCOLLADA_INST_INCLUDE ${CMAKE_INSTALL_PREFIX}/include/opencollada)
set(OPENCOLLADA_INST_LIBRARY ${CMAKE_INSTALL_PREFIX}/lib/opencollada)
set(OPENCOLLADA_INST_CMAKECONFIG ${OPENCOLLADA_INST_LIBRARY}/cmake)


#-----------------------------------------------------------------------------
# Redirect output files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "" FORCE )
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "" FORCE )


#-----------------------------------------------------------------------------
# Set default config options

option(USE_STATIC "Build static libraries"  ON)
option(USE_SHARED "Build shared libraries"  OFF)
option(USE_LIBXML "Use LibXml2 parser"      ON)
option(USE_EXPAT  "Use expat parser"        OFF)
option(USE_STATIC_MSVC_RUNTIME "Use static version of the MSVC run-time library" OFF)

#adding xml2
if (USE_LIBXML)
	add_definitions(
		-DGENERATEDSAXPARSER_XMLPARSER_LIBXML
		-DXMLPARSER_LIBXML
	)
	find_package(LibXml2)
	if (LIBXML2_FOUND)
		message(STATUS "SUCCESSFUL: LibXml2 found")
	else ()  # if xml2 not found building its local copy from ./Externals
		if (WIN32)
			message("WARNING: Native LibXml2 not found, taking LibXml from ./Externals")
			add_subdirectory(${EXTERNAL_LIBRARIES}/LibXML)
			set(LIBXML2_INCLUDE_DIR
				${libxml_include_dirs}
			)
			set(LIBXML2_LIBRARIES xml)
		else ()
			message("ERROR: LibXml2 not found, please install xml2 library (for Debian libxml2-dev)")
		endif ()
	endif ()
endif ()

if (USE_EXPAT)
	add_definitions(-DGENERATEDSAXPARSER_XMLPARSER_EXPAT)
	message("FATAL: EXPAT support not implemented")
	# TODO:: use externals
endif ()

if(USE_STATIC_MSVC_RUNTIME)
	foreach(flag CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL
			CMAKE_CXX_FLAGS_RELWITHDEBINFO CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
			CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
		if(${flag} MATCHES "/MD")
			STRING(REGEX REPLACE "/MD" "/MT" ${flag} "${${flag}}")
		endif()
		if(${flag} MATCHES "/MDd")
			STRING(REGEX REPLACE "/MDd" "/MTd" ${flag} "${${flag}}")
		endif()
	endforeach()
endif()

#adding PCRE
find_package(PCRE)
if (PCRE_FOUND)
	message(STATUS "SUCCESSFUL: PCRE found")
else ()  # if pcre not found building its local copy from ./Externals
	if (WIN32 OR APPLE)
		message("WARNING: Native PCRE not found, taking PCRE from ./Externals")
		add_definitions(-DPCRE_STATIC)
		add_subdirectory(${EXTERNAL_LIBRARIES}/pcre)
		set(PCRE_INCLUDE_DIR ${libpcre_include_dirs})
		set(PCRE_LIBRARIES pcre)
	else ()
		message("ERROR: PCRE not found, please install pcre library")
	endif ()
endif ()

# building required libs
add_subdirectory(common/libftoa)
add_subdirectory(common/libBuffer)
add_subdirectory(${EXTERNAL_LIBRARIES}/UTF)
add_subdirectory(${EXTERNAL_LIBRARIES}/MathMLSolver)

# building OpenCOLLADA libs
add_subdirectory(COLLADABaseUtils)
add_subdirectory(COLLADAFramework)
add_subdirectory(GeneratedSaxParser)
add_subdirectory(COLLADASaxFrameworkLoader)
add_subdirectory(COLLADAStreamWriter)

# building COLLADAValidator app
add_subdirectory(COLLADAValidator)


# Library export
install(EXPORT LibraryExport DESTINATION ${OPENCOLLADA_INST_CMAKECONFIG} FILE OpenCOLLADATargets.cmake)

# Create the configuration files
include(CMakePackageConfigHelpers)
configure_package_config_file(OpenCOLLADAConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/OpenCOLLADAConfig.cmake
                              INSTALL_DESTINATION ${OPENCOLLADA_INST_CMAKECONFIG}
                              PATH_VARS OPENCOLLADA_INST_INCLUDE OPENCOLLADA_INST_CMAKECONFIG
                              NO_SET_AND_CHECK_MACRO NO_CHECK_REQUIRED_COMPONENTS_MACRO)
write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/OpenCOLLADAConfigVersion.cmake
                                 VERSION ${OPENCOLLADA_VERSION}
                                 COMPATIBILITY SameMajorVersion)

# Install the configuration files
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/OpenCOLLADAConfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/OpenCOLLADAConfigVersion.cmake
        DESTINATION ${OPENCOLLADA_INST_CMAKECONFIG})

=== COLLADAMaya/Makefile ===
###############################################################################
#    Copyright (c) 2008 NetAllied Systems GmbH
#
#    This file is part of COLLADAMaya.
#
#    Portions of the code are:
#    Copyright (c) 2005-2007 Feeling Software Inc.
#    Copyright (c) 2005-2007 Sony Computer Entertainment America
#    Copyright (c) 2004-2005 Alias Systems Corp.
#
#    Licensed under the MIT Open Source License,
#    for details please see LICENSE file or the website
#    http://www.opensource.org/licenses/mit-license.php
###############################################################################

# NOTE: this include is specific to a maya version
# when you want to build this plugin for maya 2008 and 2009
# you have to reset MAYA_LOCATION
include $(MAYA_LOCATION)/devkit/plug-ins/buildconfig

# override compiler if gcc 4.1.2 is installed as default
#CC = gcc
#C++ = g++

# define variables
ARCH = `uname -i`
OS = linux

OUTFILE = COLLADAMaya

OBJ_DIR_OPENCOLLADA = obj/$(OS)_$(ARCH)_openCOLLADA
OBJ_DIR_2008 = obj/$(OS)_$(ARCH)_maya2008
BIN_DIR_2008 = bin/$(OS)_$(ARCH)_maya2008
OBJ_DIR_2009 = obj/$(OS)_$(ARCH)_maya2009
BIN_DIR_2009 = bin/$(OS)_$(ARCH)_maya2009

OPENCOLLADA_INCLUDES = -I../COLLADABaseUtils/include \
                       -I../COLLADABaseUtils/include/Math \
                       -I../COLLADAFramework/include \
                       -I../GeneratedSaxParser/include \
                       -I../COLLADASaxFrameworkLoader/include \
                       -I../COLLADAStreamWriter/include \
                       -I../Externals/UTF/include \
                       -I$(HOME)/include/boost-1_38 \
                       -I$(HOME)/include/libxml2

OPENCOLLADA_SRC_DIRS = ../COLLADABaseUtils/src \
                       ../COLLADABaseUtils/src/Math \
                       ../COLLADAFramework/src \
                       ../GeneratedSaxParser/src \
                       ../COLLADASaxFrameworkLoader/src \
                       ../COLLADAStreamWriter/src

MAYA_PLUGIN_INCLUDES = $(OPENCOLLADA_INCLUDES) \
                       -Iinclude \
                       -I../Externals/MayaDataModel/include/ \
                       -I$(MAYA_LOCATION)/devkit/include \
                       -I$(MAYA_LOCATION)/devkit/plug-ins
MAYA_PLUGIN_SRC_DIR = src
MAYA_PLUGIN_LIBS = -L$(HOME)/lib \
                   -lxml2 \
                   -lboost_regex-gcc41-mt \
                   -lboost_system-gcc41-mt \
                   -lboost_filesystem-gcc41-mt

printUsage:
	@echo use target maya2008 or maya2009
	@echo set MAYA_LOCATION accordingly

mkdirs:
	mkdir -p $(OBJ_DIR_OPENCOLLADA)
	mkdir -p $(OBJ_DIR_2008)
	mkdir -p $(BIN_DIR_2008)
	mkdir -p $(OBJ_DIR_2009)
	mkdir -p $(BIN_DIR_2009)

generateVersionHeader:
	sh generateVersionHeader.sh

openCOLLADA: mkdirs
	# build UTF
	$(CC) -c $(CFLAGS) -I../Externals/UTF/include -o $(OBJ_DIR_OPENCOLLADA)/ConvertUTF.o ../Externals/UTF/src/ConvertUTF.c

	# build openCOLLADA
	for i in $(OPENCOLLADA_SRC_DIRS); do \
		  for j in $$i/*.cpp; do \
			echo $$j; \
			$(C++) -c $(OPENCOLLADA_INCLUDES) $(C++FLAGS) -o $(OBJ_DIR_OPENCOLLADA)/`basename $$j .cpp`.o $$j; \
		done \
	done

compileMaya2008:
	# use includes and flags from imported maya build config file
	for i in $(MAYA_PLUGIN_SRC_DIR)/*.cpp; do \
		echo $$i; \
		$(C++) -c $(INCLUDES) $(C++FLAGS) $(MAYA_PLUGIN_INCLUDES) -o $(OBJ_DIR_2008)/`basename $$i .cpp`.o $$i; \
	done

linkMaya2008:
	$(LD) $(LIBS) $(MAYA_PLUGIN_LIBS) -o $(BIN_DIR_2008)/$(OUTFILE).$(EXT) $(OBJ_DIR_OPENCOLLADA)/*.o $(OBJ_DIR_2008)/*.o

maya2008: openCOLLADA generateVersionHeader compileMaya2008 linkMaya2008

compileMaya2009:
	# use includes and flags from imported maya build config file
	for i in $(MAYA_PLUGIN_SRC_DIR)/*.cpp; do \
		echo $$i; \
		$(C++) -c $(INCLUDES) $(C++FLAGS) $(MAYA_PLUGIN_INCLUDES) -o $(OBJ_DIR_2009)/`basename $$i .cpp`.o $$i; \
	done

linkMaya2009:
	$(LD) $(LIBS) $(MAYA_PLUGIN_LIBS) -o $(BIN_DIR_2009)/$(OUTFILE).$(EXT) $(OBJ_DIR_OPENCOLLADA)/*.o $(OBJ_DIR_2009)/*.o

maya2009: openCOLLADA generateVersionHeader compileMaya2009 linkMaya2009

clean:
	rm -rf $(OBJ_DIR_OPENCOLLADA)
	rm -rf $(OBJ_DIR_2008)
	rm -rf $(BIN_DIR_2008)
	rm -rf $(OBJ_DIR_2009)
	rm -rf $(BIN_DIR_2009)

=== COLLADAValidator/CMakeLists.txt ===
set(name OpenCOLLADAValidator)
project(${name})

set(libValidator_include_dirs
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

set(libValidator_include_dirs ${libValidator_include_dirs} PARENT_SCOPE)  # adding include dirs to a parent scope

set(SRC
	src/main.cpp
	src/ValidationErrorHandler.cpp
	
	include/ValidationErrorHandler.h
	include/Writer.h
)

set(libValidator_libs
	OpenCOLLADASaxFrameworkLoader
	GeneratedSaxParser
	OpenCOLLADAFramework
	OpenCOLLADABaseUtils
	MathMLSolver
	${PCRE_LIBRARIES}
	${LIBXML2_LIBRARIES}
	UTF
)

include_directories(
	${libValidator_include_dirs}
	${libBaseUtils_include_dirs}
	${libFramework_include_dirs}
	${libSaxFrameworkLoader_include_dirs}
	${libGeneratedSaxParser_include_dirs}
)

SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
link_directories(${LIBRARY_OUTPUT_PATH})

add_executable(${name} ${SRC})
target_link_libraries(${name} ${libValidator_libs})
add_dependencies(${name} ${CMAKE_REQUIRED_LIBRARIES})

=== GeneratedSaxParser/CMakeLists.txt ===
set(name GeneratedSaxParser)
project(${name})

set(libGeneratedSaxParser_include_dirs
	${CMAKE_CURRENT_SOURCE_DIR}/include/
)

set(libGeneratedSaxParser_include_dirs ${libGeneratedSaxParser_include_dirs} PARENT_SCOPE) #adding include dirs to a parent scope



# GeneratedSaxParser
set(INST_SRC
	include/GeneratedSaxParser.h
	include/GeneratedSaxParserCoutErrorHandler.h
	include/GeneratedSaxParserExpatSaxParser.h
	include/GeneratedSaxParserIErrorHandler.h
	include/GeneratedSaxParserINamespaceHandler.h
	include/GeneratedSaxParserIUnknownElementHandler.h
	include/GeneratedSaxParserLibxmlSaxParser.h
	include/GeneratedSaxParserNamespaceStack.h
	include/GeneratedSaxParserParser.h
	include/GeneratedSaxParserParserError.h
	include/GeneratedSaxParserParserTemplate.h
	include/GeneratedSaxParserParserTemplateBase.h
	include/GeneratedSaxParserPrerequisites.h
	include/GeneratedSaxParserRawUnknownElementHandler.h
	include/GeneratedSaxParserSaxParser.h
	include/GeneratedSaxParserStackMemoryManager.h
	include/GeneratedSaxParserTypes.h
	include/GeneratedSaxParserUtils.h
)

set(SRC
	src/GeneratedSaxParserCoutErrorHandler.cpp
	src/GeneratedSaxParserNamespaceStack.cpp
	src/GeneratedSaxParserParser.cpp
	src/GeneratedSaxParserParserError.cpp
	src/GeneratedSaxParserParserTemplateBase.cpp
	src/GeneratedSaxParserParserTemplate.cpp
	src/GeneratedSaxParserRawUnknownElementHandler.cpp
	src/GeneratedSaxParserSaxParser.cpp
	src/GeneratedSaxParserStackMemoryManager.cpp
	src/GeneratedSaxParserUtils.cpp

    ${INST_SRC}
)

set(TARGET_LIBS
	OpenCOLLADABaseUtils
)

if (USE_LIBXML)
	list(APPEND SRC
		src/GeneratedSaxParserLibxmlSaxParser.cpp
	)
	list(APPEND libGeneratedSaxParser_include_dirs
		${LIBXML2_INCLUDE_DIR}
	)
	list(APPEND TARGET_LIBS
		${LIBXML2_LIBRARIES}
	)
endif ()

if (USE_EXPAT)
	list(APPEND SRC
		src/GeneratedSaxParserExpatSaxParser.cpp
	)
	list(APPEND libGeneratedSaxParser_include_dirs
		${LIBEXPAT_INCLUDE_DIR}
	)
	list(APPEND TARGET_LIBS
		${LIBEXPAT_LIBRARIES}
	)
endif ()

include_directories(
	${libGeneratedSaxParser_include_dirs}
	${libBaseUtils_include_dirs}
)

opencollada_add_lib(${name} "${SRC}" "${TARGET_LIBS}")

install(
	FILES ${INST_SRC}
	DESTINATION ${OPENCOLLADA_INST_INCLUDE}/GeneratedSaxParser
)

=== Externals/LibXML/CMakeLists.txt ===
set(name xml)
project(${name})

if(USE_STATIC_MSVC_RUNTIME)
	foreach(flag CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL
			CMAKE_CXX_FLAGS_RELWITHDEBINFO CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
			CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
		if(${flag} MATCHES "/MD")
			STRING(REGEX REPLACE "/MD" "/MT" ${flag} "${${flag}}")
		endif()
		if(${flag} MATCHES "/MDd")
			STRING(REGEX REPLACE "/MDd" "/MTd" ${flag} "${${flag}}")
		endif()
	endforeach()
endif()

set(libxml_include_dirs
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

set(libxml_include_dirs ${libxml_include_dirs} PARENT_SCOPE)  # adding include dirs to a parent scope

set(SRC
	c14n.c
	catalog.c
	chvalid.c
	debugXML.c
	dict.c
	DOCBparser.c
	encoding.c
	entities.c
	error.c
	legacy.c
	list.c
	nanoftp.c
	nanohttp.c
	parser.c
	parserInternals.c
	pattern.c
	globals.c
	hash.c
	HTMLparser.c
	HTMLtree.c
	SAX2.c
	SAX.c
	threads.c
	relaxng.c
	uri.c
	valid.c
	xinclude.c
	xlink.c
	xmlIO.c
	xmlmemory.c
	xmlmodule.c
	xmlreader.c
	xmlregexp.c
	xmlsave.c
	xmlstring.c
	xmlunicode.c
	xmlwriter.c
	tree.c
)

set(libxml_libs)

include_directories(
	${libxml_include_dirs}
)
link_directories(${LIBRARY_OUTPUT_PATH})

set(TARGET_LIBS)

opencollada_add_lib(${name} "${SRC}" "${TARGET_LIBS}")

=== Externals/UTF/CMakeLists.txt ===
set(name UTF)
project(${name})

set(libUTF_include_dirs
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

set(libUTF_include_dirs ${libUTF_include_dirs} PARENT_SCOPE)  # adding include dirs to a parent scope

set(SRC
	src/ConvertUTF.c

	include/ConvertUTF.h
)

set(TARGET_LIBS)

include_directories(
	${libUTF_include_dirs} 
)

opencollada_add_lib(${name} "${SRC}" "${TARGET_LIBS}")

=== Externals/lib3ds/examples/CMakeLists.txt ===
add_subdirectory(3ds2obj)
add_subdirectory(3dsdump)
add_subdirectory(cube)
add_subdirectory(3dsplay)

=== debian/changelog ===
opencollada (0.1.0~20160714.0ec5063+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:01:30 +0800

## opencollada 0.1.0~20180719.619d942%2Bdfsg0

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: opencollada
 Section: libs
-Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv@debian.org>, Rene Engelhard <rene@debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- autotools-dev,
  cmake,
- debhelper (>= 9),
+ debhelper (>= 11),
  libpcre3-dev,
  libxml2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://www.opencollada.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/opencollada.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/opencollada.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/opencollada.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/opencollada
 
 Package: opencollada-dev
 Section: libdevel
